import Vue from 'vue'
import axios from 'axios'
import VueVideoPlayer from 'vue-video-player'
import ElementUI from 'element-ui'
import 'video.js/dist/video-js.css'
import 'element-ui/lib/theme-chalk/index.css'

import App from './App'
import router from './router'
import store from './store'
import storageUtils from "../utils/storageUtils"

Vue.use(VueVideoPlayer)
Vue.use(ElementUI)

// axios请求拦截器：请求头中添加token
axios.interceptors.request.use(config => {
  config.headers.Authorization = storageUtils.getToken()
  return config
})

if (!process.env.IS_WEB) Vue.use(require('vue-electron'))
Vue.http = Vue.prototype.$http = axios
Vue.config.productionTip = false

/* eslint-disable no-new */
new Vue({
  components: { App },
  router,
  store,
  template: '<App/>'
}).$mount('#app')
